Name:		rcron
Version:	0.1.0
Release:	4.1
Url:		http://code.google.com/p/rcron/
Source0:	http://rcron.googlecode.com/files/%{name}-%{version}.tar.bz2
Source1:	rcron.8
Source2:	rcron.conf.master
Source3:	rcron.conf.backup
Source4:	README
Summary:	Cron jobs redundancy and failover
License:	GPL
Group:		System/Daemons
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bison flex gcc
%if 0%{?rhel} >= 7
BuildRequires:	flex-devel
%endif

%description
rcron is a minimal tool aiming to help sysadmins in setting up cron jobs redundancy and failover over groups of machines. It just ensures that a job installed on several machines will only run on the active one at any time. 


%prep
%setup

%build
%configure
%__make distclean
%configure
cp %{S:1} src/
%__make

%install
%__make DESTDIR=%{buildroot} install
%__install -D -m0644 %{S:2} %{buildroot}%{_sysconfdir}/rcron/rcron.conf.master.sample
%__install -m0644 %{S:3} %{buildroot}%{_sysconfdir}/rcron/rcron.conf.backup.sample
%__install -d %{buildroot}/var/run/rcron
touch %{buildroot}/var/run/rcron/state
cp %{S:4} .

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/rcron
%{_mandir}/man8/rcron.8*
%dir %{_sysconfdir}/rcron
%dir /var/run/rcron
/var/run/rcron/state
%config %{_sysconfdir}/rcron/rcron.conf.master.sample
%config %{_sysconfdir}/rcron/rcron.conf.backup.sample


%changelog
* Tue Oct 11 2011 cs@linux-administrator.com
- initial package
